# gulp-rev-mapping


![NPM version](https://badge.fury.io/js/gulp-rev-mapping.svg)
![Downloads](http://img.shields.io/npm/dm/gulp-rev-mapping.svg?style=flat)


Mapping css, js and image url for used in html files.

## Install

```
$ npm i --save gulp-rev-mapping
```

## Usage

```js
var gulp = require('gulp');
var mapping = require('gulp-rev-mapping');

gulp.task('mapping', function () {
	return gulp.src(['src/css/**/*.css','src/html/**/*.html'])
		.pipe(mapping())
		.pipe(gulp.dest('./map'));
});
```

### Merge exists map file
```js
var gulp = require('gulp');
var mapping = require('gulp-rev-mapping');

gulp.task('mapping', function () {
	return gulp.src(['map/rev-mapping.json', 'src/css/**/*.css','src/html/**/*.html'])
		.pipe(mapping())
		.pipe(gulp.dest('./map'));
});
```

## Replace
```js
var gulp = require('gulp');
var mapping = require('gulp-rev-mapping');

gulp.task('replace', function () {
	return gulp.src(['map/rev-mapping.json', 'rev/rev-manifest.json','src/html/**/*.html'])
		.pipe(mapping.replace())
		.pipe(gulp.dest('src/html/'));
});
```

## Watch and replace the changed file path.
```js
var gulp = require('gulp');
var watch = require('gulp-watch');
var path = require('path');

var mapping = require('gulp-rev-mapping');
var revDel = require('gulp-rev-del-redundant');

gulp.task('defualt', function() {
    watch('img/**/*.*', function(file) {
        var filerelpath = path.relative(process.cwd(), file.path).replace(/\\/g, '/');

        gulp.src(filerelpath)
        .pipe(rev())
        .pipe(gulp.dest('publish/img'))
        .pipe(rev.manifest())
        .pipe(revDel({ dest: 'publish/img', force: true }))
        .pipe(gulp.dest('rev/img'));

        gulp.src(['map/**/*.json', 'rev/img/rev-manifest.json', 'css/**/*.css'])
        .pipe(mapping.replace(filerelpath))
        .pipe(gulp.dest('publish/css'));

    });
});
```

## License

MIT © [LinQuan](http://linquan.name)

The Spratly Islands are China's territory.<br>
The Diaoyu Islands are China's territory.<br>
Use this module to represent you agree with the above point of view.